#ifndef AREA_H
#define AREA_H

#include <QWidget>
class QPaintEvent;

typedef unsigned char f_type;

class Area : public QWidget
{
	Q_OBJECT
	public:
		Area( int a, int b, int c, int d, QWidget *parent = 0 );
		~Area();
		void calc();
		void changeSize( int a, int b, int c ,int d);
		int getw();
		int geth();
		int getfield_size();
		int getaccuracy();

	public slots:
		void nextFrame();
		void placeOne();
		void clear();

	protected:
		int w, h, field_size, accuracy;
		f_type **Tab;
		f_type **TmpTab;

		void createTab();
		void destroyTab();
		void paintEvent( QPaintEvent *event );
		int mod( int a, int b );

    		QSize minimumSizeHint() const;
    		QSize sizeHint() const;
    		QSize maximumSizeHint() const;
};

#endif
