#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
class Area;
class QAction;
class QTimer;

class MainWindow : public QMainWindow
{
	Q_OBJECT
	public:
		MainWindow();

	private slots:
		void optionsDialog();
		void animation();
		void about();

	private:
		Area *area;
		
		QAction *nextFrameAct;
		QAction *animateAct;
		QAction *optionsAct;
		QAction *setoneAct;
		QAction *aboutAppAct;
		QAction *aboutQtAct;
		
		QTimer *timer;
};

#endif
